cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/podcasts/topics?limit=25"{
"data": [
{
"id": "<string>",
"name": "<string>",
"podcast_count": 123,
"slug": "<string>",
"ancestry_path": "<string>"
}
],
"has_more": true,
"cursor": "<string>"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Podcasts
List podcast topics
Returns the top-level topics covered across all podcasts, sorted by the number of podcasts covering each topic.
GET
/
v1
/
podcasts
/
topics
cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/podcasts/topics?limit=25"{
"data": [
{
"id": "<string>",
"name": "<string>",
"podcast_count": 123,
"slug": "<string>",
"ancestry_path": "<string>"
}
],
"has_more": true,
"cursor": "<string>"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Authorizations
ApiKeyHeaderBearerAuth
Pass your API key in the X-API-Key header (recommended).
Query Parameters
Results per page
Required range:
1 <= x <= 100Opaque pagination cursor from previous response
Was this page helpful?